Show / Hide Table of Contents

# Class Payload

This class represents a parsed SeString payload.

##### Inheritance

System.Object
Payload
ItemPayload
PlayerPayload
RawPayload
StatusPayload
TextPayload

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class Payload

### Fields

| Improve this Doc View Source

#### END_BYTE

##### Declaration

    protected const byte END_BYTE = 3

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### START_BYTE

##### Declaration

    protected const byte START_BYTE = 2

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### Type

##### Declaration

    public abstract PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

### Methods

| Improve this Doc View Source

#### Encode()

##### Declaration

    public abstract byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### GetInteger(BinaryReader)

##### Declaration

    protected static int GetInteger(BinaryReader input)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | input |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetTypeForIntegerBytes(Byte[])

##### Declaration

    protected static Payload.IntegerType GetTypeForIntegerBytes(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
Payload.IntegerType |

| Improve this Doc View Source

#### MakeInteger(Int32)

##### Declaration

    protected static byte[] MakeInteger(int value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | value |

##### Returns

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Process(BinaryReader)

##### Declaration

    public static Payload Process(BinaryReader reader)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |

##### Returns

Type | Description
--- | ---
Payload |

| Improve this Doc View Source

#### ProcessChunkImpl(BinaryReader, Int64)

##### Declaration

    protected abstract void ProcessChunkImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

| Improve this Doc View Source

#### Resolve()

##### Declaration

    public abstract void Resolve()